// file: MultiSegmentLine.java
// author: Bob Muller
// date: Feburary 15, 2012

public interface MultiSegmentLine extends Comparable<MultiSegmentLine> {

    public int segments();
    public Line segment(int i);
    public double length();
    public void render(Draw display);
    public String toString();
    public int compareTo(MultiSegmentLine other);
    public boolean equals(Object o);
}